/************************************************************

    Template.c
    
	Starter template for building Preditor 3.0 extensions.
	
	Creates a new document and inserts Hello World into it.

     Copyright Evatac Software  1988-1995
    All rights reserved

************************************************************/

#include "PreditorExtension.h"

#include <SetupA4.h>
#ifndef THINKC
#include <A4Stuff.h>
#else
#define SetCurrentA4()	0; RememberA4()
#define SetA4(x)		SetUpA4()
#endif

#ifdef powerc
ProcInfoType __procinfo = ExtensionUPPInfo;
#endif

void main(
    ExternalCallbackBlock		*callbacks,
    WindowRef					window
    )
{
	long 		saved_a4;

	saved_a4 = SetCurrentA4();

	extNewDocument(callbacks, kEdit);
	extInsert(callbacks, (unsigned char *) "Hello World\r", 12);
	
	SetA4(saved_a4);
}
